#
# spec file for package xlpq (Version 1.0.2)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xforms gpp libgpp lprold

%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         xlpq
Release:      1
Copyright:    GPL
Group: 
Provides:     
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Summary:      frontend to manage printer queues
Version:      1.0.2
Source:     ftp://sunsite.unc.edu/pub/Linux/system/printing/xlpq-1.0.2.tgz
Patch:      xlpq.dif
BuildRoot:  /var/tmp/xlpq
%description
xforms based frontend to manage printer queues.
I invokes lpq, lprm and lpc.  It shows what is currently in the printer
queue, lets you select different queues and lets you delete printjobs.
You may even disable queueing and printing if you are root.

Authors:
--------
    Dimitrios P. Bouras <dbouras@hol.gr>

%prep
%setup -n $RPM_PACKAGE_NAME-$RPM_PACKAGE_VERSION
%patch
./configure --prefix=$RPM_BUILD_ROOT/usr/X11R6
# xmkmf -a
%build
make "CFLAGS=$RPM_OPT_FLAGS" LDFLAGS=-s
%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
%{INSTALL_DIR} $RPM_BUILD_ROOT/usr/X11R6/bin
make install
# make install.man
%clean
rm -fr $RPM_BUILD_ROOT
%files
%doc COPYING README xlpq_v1.0.2.lsm
/usr/X11R6/bin/xlpq

